La Ferme du web - Les forums

Venez baraguiner avec la communauté !

Vous n'êtes pas identifié.

#1 01/02/2013 12:16:38

alfanac
Membre
Date d'inscription: 28/01/2013
Messages: 4

Installation

Bonjour,

je suis depuis un moment bloqué pour l'installation de symfony, il se trouve que j'ai installé MAMP sous mac osx "lion moutain" Mais le php utilisé c'est celui du mac et pas celui du MAMP.

Comment je peux faire pour que le php soit celui du MAMP /Application/MAMP/bin/php/php5.4.4/bin/php ?

Merci de votre aide

Hors ligne

 

01/02/2013 12:16:38

Botte De Foin Publicitaire


#2 01/02/2013 19:34:48

Theocrite
Moderateur
Lieu: Edimbourg
Date d'inscription: 18/07/2009
Messages: 33
Site web

Re: Installation

Bonjour,

Je ne connais pas bien MAMP, mais je pense que ton sujet concerne l'installation en console ?

Si tu mets un phpinfo sur ton serveur mamp, tu as quelle version ?
Si tu fais php -v en console tu as quelle version ?
Si tu fais  /Application/MAMP/bin/php/php5.4.4/bin/php -v tu as quelle version ?

Si tu veux que /Application/MAMP/bin/php/php5.4.4/bin/php soit le php par défaut, tu peux lancer les commandes suivantes :
mv /usr/bin/php /usr/bin/php-mac
ln -s /Application/MAMP/bin/php/php5.4.4/bin/php /usr/bin/php

Ensuite refais les commandes de la première partie et tu verras que tes php sont bons !

Hors ligne

 

#3 04/02/2013 10:15:49

alfanac
Membre
Date d'inscription: 28/01/2013
Messages: 4

Re: Installation

Super @Theocrite

au début quand je lancai php -v j'avais la version php5.3 et après les deux commandes que tu m'as cité maintenant quand je fais php -v j'ai la bonne version du MAMP PHP5.4.4

Merci beaucoup.

Hors ligne

 

Pied de page des forums

Powered by FluxBB
© Copyright 2008-2009 - LaFermeduWeb.net